﻿// Keep these lines for a best effort IntelliSense of Visual Studio 2017 and higher.
/// <reference path="../../Packages/Beckhoff.TwinCAT.HMI.Framework.12.742.5/runtimes/native1.12-tchmi/TcHmi.d.ts" />
(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    var Functions;
    (function (/** @type {globalThis.TcHmi.Functions} */ Functions) {
        var TcHmiProject1;
        (function (TcHmiProject1) {
            function FunctionJSRotateAround(Object, X, Y, Z, Angle) {


                var t = [{
                    "transformType": "Origin",
                    "x": X,
                    "xUnit": "px",
                    "y": Y,
                    "yUnit": "px",
                    "z": Z,
                    "zUnit": "px",
                }, {
                    "transformType": "Rotate",
                    "angle": Angle,
                    "angleUnit": "deg"
                }
                ];
                Object.setTransform(t);

            }
            TcHmiProject1.FunctionJSRotateAround = FunctionJSRotateAround;
        })(TcHmiProject1 = Functions.TcHmiProject1 || (Functions.TcHmiProject1 = {}));
        Functions.registerFunctionEx('FunctionJSRotateAround', 'TcHmi.Functions.TcHmiProject1', TcHmiProject1.FunctionJSRotateAround);
    })(Functions = TcHmi.Functions || (TcHmi.Functions = {}));
})(TcHmi);