﻿// Keep these lines for a best effort IntelliSense of Visual Studio 2017 and higher.
/// <reference path="../../Packages/Beckhoff.TwinCAT.HMI.Framework.12.742.5/runtimes/native1.12-tchmi/TcHmi.d.ts" />
(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    var Functions;
    (function (/** @type {globalThis.TcHmi.Functions} */ Functions) {
        var TcHmiProject1;
        (function (TcHmiProject1) {
            function DegreesToRotationWithValveEnable(Degrees, ValveEnable) {

                if (ValveEnable == 1) {
                    return [{
                        "transformType": "Rotate",
                        "angle": Degrees,
                        "angleUnit": "deg"
                    }]
                }
                else {
                    return [{
                        "transformType": "Rotate",
                        "angle": 0,
                        "angleUnit": "deg"
                    }]
                }

            }
            TcHmiProject1.DegreesToRotationWithValveEnable = DegreesToRotationWithValveEnable;
        })(TcHmiProject1 = Functions.TcHmiProject1 || (Functions.TcHmiProject1 = {}));
        Functions.registerFunctionEx('DegreesToRotationWithValveEnable', 'TcHmi.Functions.TcHmiProject1', TcHmiProject1.DegreesToRotationWithValveEnable);
    })(Functions = TcHmi.Functions || (TcHmi.Functions = {}));
})(TcHmi);